
//This program plays an animation of a car crash
import java.io.*;
import java.util.*;
import java.awt.*;
public class CarCrash {
	public static void main(String[] args) throws FileNotFoundException {
		File in = new File("tutcar1.txt");
		Scanner input = new Scanner(in);
		int w = input.nextInt();
		int h = input.nextInt();
		DrawingPanel panel = new DrawingPanel(w, h);
		playMovie(panel);
		input.close();
	}
	//This method draws each pixel of the drawing with a specific color(written in the given 6 files)
	public static void drawPixels(DrawingPanel panel, File in) throws FileNotFoundException{
		Graphics gr = panel.getGraphics();
		Scanner input = new Scanner(in);
		input.nextLine();
		while (input.hasNextLine()) {
			String line = input.nextLine();
			Scanner lineScan = new Scanner(line);
			int x = lineScan.nextInt();
			int y = lineScan.nextInt();
			int r = lineScan.nextInt();
			int g = lineScan.nextInt();
			int b = lineScan.nextInt();
			gr.setColor(new Color(r, g, b));
			gr.fillOval(x, y, 1, 1);
		}
		input.close();
	}
	//This method clears the panel and sleeps it to produce a movie of a car crash
	public static void playMovie(DrawingPanel panel) throws FileNotFoundException{
		for(int i = 1; i <= 6; i++){
			panel.clear();
			File in = new File("tutcar" + i + ".txt");
			drawPixels(panel, in);
			panel.sleep(10);
		}
	}
}