
//This program sorts the elements of an array of integers in the descending order
public class BubbleSort {
	public static void main(String[] args) {
		int[] before = new int[10];
		for(int i = 1; i <= Integer.parseInt(args[0]); i++){	
			before = randomArray();
			System.out.printf("%-6s: ", "before");
			printArray(before); 	//prints the array before getting sorted
			System.out.printf("%-6s: ", "after");
			printArray(sort(before)); 	//prints the array after getting sorted
			System.out.println();
		}
	}
	//This method returns a sorted array of integers with the elements organized in the descending order
	public static int[] sort(int[] a){
		for(int i = 0; i < a.length; i++){
			for(int j = 0; j < a.length-1; j++){
				if(a[j + 1] > a[j]){
					int temp = a[j + 1];
		            a[j + 1] = a[j];
		            a[j] = temp;
				}
			}
		}
		return a;
	}
	//This method creates an array of random integers between 0 & 1000 and returns it
	public static int[] randomArray(){
		int[] array = new int[10];
		for(int i = 0; i < 10; i++){
			int random = (int)(Math.random()*(1000));
			array[i] = random;
		}
		return array;
	}
	//This method prints the elements of an array separated by a space
	public static void printArray(int[] a){
		for(int i = 0; i < 10; i++){
			System.out.print(a[i] + " ");
		}
		System.out.println();
	}
}
