
//This class implements different methods used in creating a bank account
//It uses id, name and balance as instance variables
public class Account {
	private int id;
	private String name;
	private double balance;
	//this is a full constructor of the Accunt class
	public Account(int id, String name, double initialbalance){
		this.id = id;
		this.name = name;
		balance = initialbalance;
	}
	//getter of id
	public int getId(){
		return id;
	}
	//getter of name
	public String getName(){
		return name;
	}
	//getter of balance
	public double getBalance(){
		return balance;
	}
	//setter of id
	public void setId(int id){
		this.id = id;
	}
	//setter of name
	public void setName(String name){
		this.name = name;
	}
	//setter of balance
	public void setBalance(double balance){
		this.balance = balance;
	}
	//full constructor of Account
	public Account(String name){
		id = (int)(Math.random()*10001);
		balance = 0.0;
		this.name = name;
	}
	//returns the balance after withdrawal of a certain amount
	public double withdraw(double amount){
		balance = balance - amount;
		return balance;
	}
	//returns the balance after deposit of a certain amount
	public double deposit(double amount){
		balance = balance + amount;
		return balance;
	}
	//String representation of the output
	public String toString(){
		return "id: " + id + ", name: " + name + ", balance: "  + balance + ".";
	}
}
