import java.util.Scanner; //to use the scanner

/*This program prints the denomination and the suit of the playing card given from the input by the
 *user if the input is valid, otherwise it prints unknown denomination or unknown suit if either
 *the denomination or the suit is unknown or both*/	
public class Cards {
	public static void main(String[] args) {
		Scanner console = new Scanner(System.in);
		System.out.print("Enter the card value: ");
		String card_value = console.next();
		System.out.println("You selected: " + Denomination(card_value) + " of " + Suit(card_value));
	}
//	This method specifies each letter or number to its corresponding denomination
	public static String Denomination(String card){
		String den = card.substring(0, card.length()-1);
		if(den.equals("A"))
			den = "Ace";
		else if ((den.charAt(0) >= '2' && den.charAt(0) <= '9') || den.equals("10"))
			den = den;
		else if(den.equals("J"))
			den = "Jack";
		else if(den.equals("Q"))
			den = "Queen";
		else if(den.equals("K"))
			den = "King";
		else
			den = "Unknown Denomination";
		return den;
	}
//	This method specifies each letter to its corresponding suit
	public static String Suit(String str){
		String suit = str.substring(str.length()-1);
		if(suit.equals("D"))
			suit = "Diamonds";
		else if(suit.equals("H"))
			suit = "Hearts";
		else if(suit.equals("S"))
			suit = "Spades";
		else if(suit.equals("C"))
			suit = "Clubs";
		else
			suit = "Unknown Suit";
		return suit;
	}
}