
/*This program draws 3 CheckerBoards of different # of squares N per row 
 *specified in the input as an argument. The size of the square depends on
 *the # of squares per row N*/
import java.awt.*;//to use the graphics
public class CheckerBoard1 {
	public static void main(String[] args) {
		int w = 600, h = 600;
		DrawingPanel panel = new DrawingPanel(w, h);
        Graphics g = panel.getGraphics();
        for(int r = 0; r < 3; r++){	// # of checkerboards
        	int N = Integer.parseInt(args[r]);
        	for(int i = 0; i < N; i++){ // draws each row drawn from Squares N times
        		Squares(r, i, w, h, N, g);
        	}
		}
	}
	//this method draws the squares in each row
        public static void Squares(int r, int i, int w, int h, int N, Graphics g){
	        	for(int j = 0; j < N; j++){
		        	if(N%2==0){
		        		if((j%2==0 && i%2==0) || (j%2!=0 && i%2!=0)) g.setColor(Color.BLACK);
		        		else if((j%2==0 && i%2!=0) || (j%2!=0 && i%2==0)) g.setColor(Color.RED);
		        	}
		        	else{
		        		if((j%2==0 && i%2==0) || (j%2!=0 && i%2!=0)) g.setColor(Color.RED);
			    		else if((j%2==0 && i%2!=0) || (j%2!=0 && i%2==0)) g.setColor(Color.BLACK);
		        	}
		        	g.fillRect((r*w/3)+(j*w/(3*N)), (r*h/3)+i*h/(3*N), w/(3*N), h/(3*N));
	        	}
        }
}