import java.io.*;
import java.util.*;

//This program prints the longest increasing consecutive sequence
public class LongestSortedSequence {
	public static void main(String[] args) throws FileNotFoundException {
		File file = new File("input.txt");
		Scanner input = new Scanner(file);
		int N = input.nextInt();
		index(seq(input, N));
	}
	//This method fills an array with the numbers given in the input and returns this array
	public static int[] seq(Scanner input, int N){
		int[] seq = new int[N];
		for(int i = 0; i < N; i++){
			seq[i] = input.nextInt();
		}
		return seq;
	}
	//This method prints the LSS of an array sequence
	public static void index(int[] seq){
		int count = 0;
		int i = 0;
		int max = 0;
		int index = 0;
		for(i = 0; i < seq.length - 1; i++){
			if(seq[i] < seq[i+1]){
				count++;
			}
			else{
				if(count > max){
					index = i - count;
					max = count;
				}
				count = 0; //To re-count an increasing sequence
			}
		}
		System.out.print("LSS = ");
		for(i = 0 ; i < max; i++){
			System.out.print(seq[index + i] + ", ");
		}
		System.out.println(seq[index + i]);
	}
}
