
//This class implements different methods to be used in another class
//It uses two coordinates x and y as instance variables
public class Point {
	int x;
	int y;
	//full constructor of the class point
	public Point(int x, int y){
		this.x = x;
		this.y = y;
	}
	//measures the distance between two points
	public double distance(Point p){
		return Math.sqrt(Math.pow(x - p.x, 2) + Math.pow(y - p.y, 2));
	}
	//returns the midpoint of two points
	public Point midPoint(Point p){
		return new Point((x + p.x)/2, (y + p.y)/2);
	}
	//getter of x
	public int getX(){
		return x;
	}
	//getter of y
	public int getY(){
		return y;
	}
	//String representation
	public String toString(){
		return "( " + x + ", " + y + " )";
	}
}