
//This program prints information about a bank loan.
public class BankLoan{
	public static void main(String[] args){
		bankLoan(20, 15000.0, 10.0);
	}
	//This method computes and returns the monthly payment
	public static double monthlyPay(int n_y, double i, double r_y){
		int n = n_y * 12;
		double r = r_y/(12*100);
		double monPay = (i*r)/(1 - Math.pow(1+r, -1*n));
		return monPay;
	}
	/*This method has 3 parameters n_y, i, r_y
	n_y= # of years, i= initial loan amout, r_y= yearly intrest rate
	it prints satements and values calculated using these parameters.
	The statements and values correspond to the details of the loan*/
	public static void bankLoan(int n_y, double i, double r_y){
		int n = n_y * 12;
		double r = r_y/(12*100);
		System.out.println("Loan period in months: " + n);
		System.out.println("Annual interest rate: " + r_y + "%");
		System.out.println("Initial loan: $" + i);
		System.out.println("Monthly Payment: $" + monthlyPay(n_y, i, r_y));
		System.out.println("Total loan with interest: $" + (monthlyPay(n_y, i, r_y) * 12 * n_y ));
	}
}