import java.util.*; //to use the scanner

/*This program takes input from the user(# of pass. to be checked, # of
 * seconds to check 1 config. and each partial missed pass.
 * It then checks if the pass is complete,can be hacked with the specified
 * # of secs or can't be hacked; knowing that the max time to check all config. is 45 days*/
public class PasswordHacker {
	public static void main(String[] args) {
		Scanner console = new Scanner(System.in);
		System.out.print("Number of password(s) to be checked? ");
		int num_PW = console.nextInt();
		System.out.print("Number of second(s) to check one configuration? ");
		int n = console.nextInt();
		for(int i = 1; i <= num_PW; i++){
			System.out.print("Enter a partial missed password: ");
			String partial_pw = console.next();
			System.out.println(canHack(partial_pw, n));
		}
	}
	//counts the # of ? in the partial missed pass. given from the user
	public static int counter(String s){
		int count = 0;
		for(int i = 1; i <= s.length(); i++){
			if(s.charAt(i-1) == '?')
				count++;
		}
		return count;
	}
	//checks if the pass. can be hacked or not or is it complete
	public static String canHack(String str, int n){
		int time = (int)Math.pow(4, counter(str)) * n;
		if(counter(str) == 0)
			return ("The password is complete!");
		else if( time < (45*24*3600))
			return ("The password can be hacked in " + time + " seconds");
		else
			return ("The password cannot be hacked");
	}
}