
/*This program draws a CheckerBoard of different # of squares N per row 
 *specified in the input as an argument. The size of the square depends on
 *the # of squares per row N*/
import java.awt.*;//to use the graphics

public class CheckerBoard {
	public static void main(String[] args) {
		int N = Integer.parseInt(args[0]);
		int w = 600, h = 600;
		DrawingPanel panel = new DrawingPanel(w, h);
		Graphics g = panel.getGraphics();
		for (int i = 0; i < N; i++) {
			for (int j = 0; j < N; j++) {
				Squares(i, j, w, h, N, g);
			}
		}
	}

	// this method draws each square
	public static void Squares(int i, int j, int w, int h, int N, Graphics g) {
		if (N % 2 == 0) {
			if ((j % 2 == 0 && i % 2 == 0) || (j % 2 != 0 && i % 2 != 0))
				g.setColor(Color.BLACK);
			else if ((j % 2 == 0 && i % 2 != 0) || (j % 2 != 0 && i % 2 == 0))
				g.setColor(Color.RED);
		} else {
			if ((j % 2 == 0 && i % 2 == 0) || (j % 2 != 0 && i % 2 != 0))
				g.setColor(Color.RED);
			else if ((j % 2 == 0 && i % 2 != 0) || (j % 2 != 0 && i % 2 == 0))
				g.setColor(Color.BLACK);
		}
		g.fillRect(j * w / N, i * h / N, w / N, h / N);
	}
}
