
/*This program draws a triangle and rotates it around its center of gravity*/
import java.awt.*;// to use graphics
public class Rotating {
	public static void main(String[] args) {
		int w = 500, h = 500;
		DrawingPanel panel = new DrawingPanel(w, h);
        Graphics g = panel.getGraphics();
        int xa = (int)(0.5*w) , ya = (int)(0.8*h) , xb = (int)(0.2*w) , yb = (int)(0.28*h) , xc = (int)(0.8*w), yc = (int)(0.28*h);
        int xg = (xa+xb+xc)/3;
		int yg = (ya+yb+yc)/3;
        double thetta = 0;
        rotTriangle(xa, ya , xb , yb , xc , yc , xg , yg , thetta, g, panel);
	}
	//This method draws the triangle and sleeps for 50 ms
	public static void drawTriangle(int xa, int ya, int xb, int yb, int xc, int yc, Graphics g, DrawingPanel panel){
			g.setColor(Color.BLACK);
			Polygon tri = new Polygon();
			tri.addPoint(xa, ya);
			tri.addPoint(xb, yb);
			tri.addPoint(xc, yc);
			g.drawPolygon(tri);
			panel.sleep(50);
	}
	//This method rotates the triangle drawn in the method drawTriangle with angle thetta every 50 ms
	public static void rotTriangle(int xa, int ya, int xb, int yb, int xc, int yc, int xg, int yg, double thetta, Graphics g, DrawingPanel panel){
		for(thetta = 0; true; thetta += 0.02*Math.PI){
			int xa1 = (int)(((xa-xg)*Math.cos(thetta))-((ya-yg)*Math.sin(thetta))+xg);
			int ya1 = (int)(((xa-xg)*Math.sin(thetta))+((ya-yg)*Math.cos(thetta))+yg);
			int xb1 = (int)(((xb-xg)*Math.cos(thetta))-((yb-yg)*Math.sin(thetta))+xg);
			int yb1 = (int)(((xb-xg)*Math.sin(thetta))+((yb-yg)*Math.cos(thetta))+yg);
			int xc1 = (int)(((xc-xg)*Math.cos(thetta))-((yc-yg)*Math.sin(thetta))+xg);
			int yc1 = (int)(((xc-xg)*Math.sin(thetta))+((yc-yg)*Math.cos(thetta))+yg);
			drawTriangle(xa1, ya1, xb1, yb1, xc1, yc1, g, panel);
		}
	}
}