
/*This program draws n filled circles(black or white) randomly with different radiuses
 * (ranging between a max and a min) where n, max, min and probability of black circles
 * are specified as arguments from the input, the circles fit inside a drawing panel */
import java.awt.*;
public class Circles {
	public static void main(String[] args) {
		int w = 500, h = 500;
		DrawingPanel panel = new DrawingPanel(w,h);
		Graphics g = panel.getGraphics();
		double min = Double.parseDouble(args[2]);	//max radius
		double max = Double.parseDouble(args[3]);	//min radius
		double prob;
		for(int i = 1; i<=Double.parseDouble(args[0]); i++){
			prob = Math.random();
			if(prob < Double.parseDouble(args[1])) g.setColor(Color.BLACK);
			else g.setColor(Color.WHITE);
			drawCircle(g, min, max, w, h);
		}
	}
	//this method draws each circle with a random size(radius) at a random position
	public static void drawCircle(Graphics g, double min, double max, int w, int h){
		double radius;
		int x, y;
		radius = (Math.random()*(max-min) + min);
		x = (int)(Math.random()*(w-(int)(radius*w*2)));
		y = (int)(Math.random()*(h-(int)(radius*w*2)));
		g.fillOval(x, y, (int)(radius*w*2), (int)(radius*w*2));
	}
}