
/*This program prints the luck percentage of a string based on the weight of the
 * ASCII code of each character in this string(if it is a prime # then 100, if not then 0)*/
public class LuckPercentage {
	public static void main(String[] args) {
		String str = args[0];
		int sum = 0;
		int w0 = weight(str, 0);	//The first weight% since we have a fencepost loop
		System.out.print("W(\"" + str + "\") = " + w0 + "/" + str.length());
		for(int j = 1; j <= str.length()-1; j++){
			System.out.print(" + " + weight(str, j) + "/" + str.length());
			sum += weight(str, j);
		}
		System.out.println(" = " + ((sum + w0)/str.length()));
		System.out.print("Thus, the word " + str + " is " + (sum + w0)/str.length() + "% Lucky");
	}
	//This method returns true if the ASCII code of a character is prime, false otherwise
	public static boolean isPrime(String str, int j){
		int ch = str.charAt(j);
		if(ch<=1) return false;
		int maxFactor = (int) Math.sqrt(ch);
		for(int i = 2; i <= maxFactor; i++){
			if(ch%i==0) return false;
		}
		return true;
	}
	//This method returns the weight of a character in a string str at index j
	public static int weight(String str, int j){
		int wt = 0;
		if(isPrime(str, j))
			wt = 100;
		else
			wt = 0;
		return wt;
	}
}
